> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.shimi.cash/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.shimi.cash/_mcp/server.

# Generate Deposit Address

POST https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address
Content-Type: application/json

Generates a new crypto deposit address for your company on the given network.

**Body**
| Field | Type | Required | Rules |
|---|---|---|---|
| `networkId` | string | yes | Network `id` from **List Available Networks**. Only Solana (`chain: SOL`) networks are supported today. |
| `index` | integer | yes | Derivation index, must be a JSON number **greater than 5** (indexes 0-5 are reserved). Each index can be used once per network. `0`, a missing value or a string such as `"6"` returns `Invalid index provided`. |

**Behaviour**
- Requires a master wallet to have been set up for your company on that network (done during onboarding); otherwise `Master wallet not found...`.
- Service-level errors are prefixed with `Failed to pregenerate address - `.
- New addresses are created with webhooks disabled - call **Activate Deposit Webhook** to receive deposit notifications.

Reference: https://docs.shimi.cash/api-reference/shimi-api/crypto/generate-deposit-address

## Authentication

- `Authorization` header (bearer token, required) — Access token from Generate Access Token (valid 15 minutes).

## Request

### Body (application/json)

This endpoint expects an object.

- `networkId` (string, optional)
- `index` (integer, optional)

## Response

### 200

OK

- `status` (string, optional)
- `data` (CryptoGenerateAddressPostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Network ID missing / Invalid index / Reserved index (1-5) / Index already used / Network not found / Master wallet missing / Unsupported chain

- `status` (string, optional)
- `message` (string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, optional)

### 403 Forbidden Error

Invalid or expired access token / KYB not approved / Account deactivated

- `message` (string, optional)
- `code` (string, optional)
- `kybStatus` (string, optional)

## Types

### CryptoGenerateAddressPostResponsesContentApplicationJsonSchemaData

- `address` (string, optional)
- `index` (integer, optional)
- `is_assigned` (boolean, optional)
- `is_webkook_enabled` (boolean, optional)
- `network` (CryptoGenerateAddressPostResponsesContentApplicationJsonSchemaDataNetwork, optional)

### CryptoGenerateAddressPostResponsesContentApplicationJsonSchemaDataNetwork

- `id` (string, optional)
- `name` (string, optional)
- `chain` (string, optional)

## Examples

### 200 Address generated

**Response**

```json
{
  "status": "success",
  "data": {
    "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
    "index": 6,
    "is_assigned": false,
    "is_webkook_enabled": false,
    "network": {
      "id": "cm8r2n6sx0002lt0f9q1w4e7y",
      "name": "Solana",
      "chain": "SOL"
    }
  }
}
```

**SDK Code**

```python 200 Address generated
import requests

url = "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript 200 Address generated
const url = 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 Address generated
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 Address generated
require 'uri'
require 'net/http'

url = URI("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 200 Address generated
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 200 Address generated
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 200 Address generated
using RestSharp;

var client = new RestClient("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 200 Address generated
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Crypto_generateDepositAddress_example

**Request**

```json
{
  "networkId": "{{network_id}}",
  "index": 6
}
```

**Response**

```json
{
  "status": "success",
  "data": {
    "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
    "index": 6,
    "is_assigned": false,
    "is_webkook_enabled": false,
    "network": {
      "id": "cm8r2n6sx0002lt0f9q1w4e7y",
      "name": "Solana",
      "chain": "SOL"
    }
  }
}
```

**SDK Code**

```python Crypto_generateDepositAddress_example
import requests

url = "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address"

payload = {
    "networkId": "{{network_id}}",
    "index": 6
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Crypto_generateDepositAddress_example
const url = 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"networkId":"{{network_id}}","index":6}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Crypto_generateDepositAddress_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address"

	payload := strings.NewReader("{\n  \"networkId\": \"{{network_id}}\",\n  \"index\": 6\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Crypto_generateDepositAddress_example
require 'uri'
require 'net/http'

url = URI("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"networkId\": \"{{network_id}}\",\n  \"index\": 6\n}"

response = http.request(request)
puts response.read_body
```

```java Crypto_generateDepositAddress_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"networkId\": \"{{network_id}}\",\n  \"index\": 6\n}")
  .asString();
```

```php Crypto_generateDepositAddress_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address', [
  'body' => '{
  "networkId": "{{network_id}}",
  "index": 6
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Crypto_generateDepositAddress_example
using RestSharp;

var client = new RestClient("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"networkId\": \"{{network_id}}\",\n  \"index\": 6\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Crypto_generateDepositAddress_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "networkId": "{{network_id}}",
  "index": 6
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/generate-address")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```